# Method: accounts.regions.batchCreate

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchCreate#body.BatchCreateRegionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchCreate#body.aspect)
- [CreateRegionRequest](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchCreate#CreateRegionRequest)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchCreate#CreateRegionRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchCreate#try-it)

Creates one or more regions in your Merchant Center account. Executing this method requires admin access.

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1/{parent=accounts/*}/regions:batchCreate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account to create one or more regions for. Format: `accounts/{account}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchCreate#CreateRegionRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchCreate#CreateRegionRequest`)`` Required. The region(s) to create. The maximum number of regions that can be created in a batch is 100. |

### Response body

Response message for the `regions.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "regions": [ { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions#Region`) } ] } ``` |

| Fields ||
|---|---|
| `regions[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions#Region`)`` The created region(s). |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateRegionRequest

Request message for the `regions.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "regionId": string, "region": { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions#Region`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The account to create a region for. Format: `accounts/{account}` |
| `regionId` | `string` Required. The identifier for the region, unique over all regions of the same account. |
| `region` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions#Region`)`` Required. The region to create. |